CGAL 6.1.2 - Interval Skip List: CGAL::Interval_skip_list_interval< Value > Class Template Reference

CGAL 6.1.2 - Interval Skip List

Loading...
Searching...
No Matches
List of all members | Related Functions
CGAL::Interval_skip_list_interval< Value > Class Template Reference
Reference Manual

`#include <CGAL/Interval_skip_list_interval.h>`

## Definition

template<typename Value>
class CGAL::Interval_skip_list_interval< Value >

The class `Interval_skip_list_interval` represents intervals with lower and upper bound of type `Value`.

These intervals can be open or closed at each endpoint.

I/O

The output operator is defined for `std::ostream`.

Is model of
  `Interval`

Examples
  Interval_skip_list/intervals.cpp.

## Related Functions
(Note that these are not member functions.)
template<typename V >
ostream & | operator<< (ostream &os, const Interval_skip_list_interval< V > &i)
| Inserts the interval `i` into the stream `os`.

## Creation
| Interval_skip_list_interval ()
| Default constructor.
| Interval_skip_list_interval (const Value &i, const Value &s, bool ic=true, bool uc=true)
| Constructs the interval with infimum `i` and supremum `s`.

## Operations
bool | inf_closed () const
| Returns `true`, iff the interval is closed at the lower bound.
bool | sup_closed () const
| Returns `true`, iff the interval is closed at the upper bound.

## Constructor & Destructor Documentation

## ◆ Interval_skip_list_interval()

template<typename Value >

CGAL::Interval_skip_list_interval< Value >::Interval_skip_list_interval | ( | const Value & | i,
|  | const Value & | s,
|  | bool | ic = `true`,
|  | bool | uc = `true`
| ) |  |

Constructs the interval with infimum `i` and supremum `s`.

The arguments `ic` and `uc` have value `true`, iff the interval is closed at the lower and upper bound, respectively.

## Friends And Related Function Documentation

## ◆ operator<<()

template<typename V >

ostream & operator<< | ( | ostream & | os,
|  | const Interval_skip_list_interval< V > & | i
| ) |  |
| related

Inserts the interval `i` into the stream `os`.

Precondition
  The output operator for `Value` is defined.